Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface RichTextType

All Known Subinterfaces:
  RichTextWithExactType, RichTextWithOwnerType

All Known Implementing Classes:
  RichTextTypeImpl, RichTextWithExactTypeImpl, RichTextWithOwnerTypeImpl

    public interface RichTextType

A collection of text-related elements: paragraphs (simpleRichText enclosed in a p element) quotations (simpleRichText with author information, often formatted as being set apart from paragraphs of text), poems, and simple tables. Java content class for richTextType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 712)

     <complexType name="richTextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded">
             <element name="p" type="{http://infoml.org/infomlFile}simpleRichTextType"/>
             <element name="quotation" type="{http://infoml.org/infomlFile}simpleRichTextWithAuthorType"/>
             <element name="poem" type="{http://infoml.org/infomlFile}poemType"/>
             <element name="table" type="{http://infoml.org/infomlFile}tableType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static interface` | `RichTextType.P` Java content class for p element declaration.
`static interface` | `RichTextType.Poem` Java content class for poem element declaration.
`static interface` | `RichTextType.Quotation` Java content class for quotation element declaration.
`static interface` | `RichTextType.Table` Java content class for table element declaration.

Method Summary
`java.util.List` | `getPOrQuotationOrPoem()` Gets the value of the POrQuotationOrPoem property.

Method Detail

### getPOrQuotationOrPoem

    java.util.List getPOrQuotationOrPoem()

  Gets the value of the POrQuotationOrPoem property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the POrQuotationOrPoem property.

  For example, to add a new item, do as follows:

          getPOrQuotationOrPoem().add(newItem);

  Objects of the following type(s) are allowed in the list `RichTextType.Poem` `RichTextType.P` `RichTextType.Table` `RichTextType.Quotation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD